gem install mongrel fails

Hi All,

I'm try to gem install mongrel, but one of its dependencies fails to
compile 'cause gcc doesn't like the -mtune parameter. Is there a way
to remove this parameter or cause gcc to ignore it, etc.?

make
gcc -I. -I/usr/lib/ruby/1.8/i386-linux -I/usr/lib/ruby/1.8/i386-linux -
I. -fPIC -O2 -g -pipe -m32 -march=i386 -mtune=pentium4 -Wall -fPIC -
c fastthread.c
cc1: invalid option `tune=pentium4'
make: *** [fastthread.o] Error 1

# gcc --version
gcc (GCC) 3.2.3 20030502 (Red Hat Linux 3.2.3-59)

Thanks

I figured it out.

I just removed "-mtune pentium4" parameter from the CFLAGS variable
in /usr/lib/ruby/1.8/i
i386-linux/rbconfig.rb,
then ran gem install mongrel again and all it well :slight_smile:

Tip from the 2nd post on this page http://www.rubyforums.com/showthread.php?p=462

Joel.